Technical Requirements for Users

BioSig-ID works on a wide variety of operating systems, browsers and devices. The following lists the currently supported system requirements for end-users.

If you do not have the basic requirements on the system you are trying to use, you will not be able to create a profile. Please find another system that meets the requirements, or if you are not able to do this, please contact the institution that requested you create a BioSig-ID profile.

Supported Operating Systems:

Any OS that can run a W3C HTML5 compliant browser

  • Microsoft Windows 10, 7, XP, Vista
  • Mac OS X current version
  • Ubuntu LINUX current release
  • Android current release

 Supported Browsers:

Any W3C HTML5 compliant browser**

  • Microsoft Edge, Internet Explorer 8+,current release
  • Mozilla Firefox 3+, current release
  • Google Chrome 4+, current release
  • Apple Safari 6+, current release
  • Opera 9+, current release

 * We use HTML5 current release, No Adobe Flash

 For the mobile version:

  • iPhone 4 and higher
  • Android 2.3 and higher
Have more questions? Submit a request

0 Comments

Article is closed for comments.